@extends('layout')

@section('content')
    <h1>Device Detail</h1>
    <ul>
        <li>{{ $device['device_id'] }}</li>
        <li>{{ $device['title'] }}</li>
        <li>{{ $device['device_type'] }}</li>
        <li>{{ $device['description'] }}</li>
        <li>{{ $device['accessories'] }}</li>
        <li>{{ $device['rz_username_buyer'] }}</li>
        <li>{{ $device['serial_number'] }}</li>
        <li>{{ $device['image_url'] }}</li>
    </ul>
    <button><a href="{{$device->device_id}}/edit">Edit</a></button>

    <form method="POST" action="{{$device->device_id}}">
        @method('DELETE')
        @csrf
        <button>Delete</button>
    </form>
@endsection
