<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('location_transactions', function (Blueprint $table) {
            $table->string('location_transaction_id')->unique();
            $table->string('room_code');
            $table->string('timestamp_located_since');
            $table->string('device_id');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('location_transactions');
    }
};
