@extends('layout')

@section('content')
    <form method="POST" action="/devices/{{$device->device_id}}">
        @method('PUT')
        @csrf
        <label for="device_id">device_id:</label>
        <input type="text" id="device_id" name="device_id" value="{{$device->device_id}}" required>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="title">Title:</label>
        <input type="text" id="title" name="title" value="{{$device->title}}" required>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="device_type">device_type:</label>
        <input type="text" id="device_type" name="device_type" value="{{$device->device_type}}" required>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="accessories">accessories:</label>
        <input type="text" id="accessories" name="accessories" value="{{$device->accessories}}">
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="rz_username_buyer">rz_username_buyer:</label>
        <input type="text" id="rz_username_buyer" name="rz_username_buyer" value="{{$device->rz_username_buyer}}" required>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="serial_number">serial_number:</label>
        <input type="text" id="serial_number" name="serial_number" value="{{$device->serial_number}}" required>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="image_url">image_url:</label>
        <input id="image_url" name="image_url" value="{{$device->image_url}}" required>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <label for="description">description:</label>
        <textarea type="text" id="description" name="description">{{$device->description}}</textarea>
        @error('device_id')
            <p>{{$message}}</p>
        @enderror
        <br />
        <input type="submit" value="Submit">
    </form>
@endsection